diff --git a/boot/menhir/parser.ml b/boot/menhir/parser.ml
index 6b6fc22..dce95f7 100644
--- a/boot/menhir/parser.ml
+++ b/boot/menhir/parser.ml
@@ -27534,9 +27593,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.pattern list) = 
-# 2748 "parsing/parser.mly"
+# 2768 "parsing/parser.mly"
                                                 ( [_3; _1] )
-# 27540 "parsing/parser.ml"
+# 27599 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27574,9 +27633,9 @@ module Tables = struct
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.pattern list) = let _loc__3_ = (_startpos__3_, _endpos__3_) in
         
-# 2749 "parsing/parser.mly"
+# 2769 "parsing/parser.mly"
                                                 ( expecting _loc__3_ "pattern" )
-# 27580 "parsing/parser.ml"
+# 27639 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27613,9 +27672,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.pattern list) = 
-# 2747 "parsing/parser.mly"
+# 2767 "parsing/parser.mly"
                                                 ( _3 :: _1 )
-# 27619 "parsing/parser.ml"
+# 27678 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27652,9 +27711,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.pattern list) = 
-# 2748 "parsing/parser.mly"
+# 2768 "parsing/parser.mly"
                                                 ( [_3; _1] )
-# 27658 "parsing/parser.ml"
+# 27717 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27692,9 +27751,9 @@ module Tables = struct
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.pattern list) = let _loc__3_ = (_startpos__3_, _endpos__3_) in
         
-# 2749 "parsing/parser.mly"
+# 2769 "parsing/parser.mly"
                                                 ( expecting _loc__3_ "pattern" )
-# 27698 "parsing/parser.ml"
+# 27757 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27717,9 +27776,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.pattern) = 
-# 2656 "parsing/parser.mly"
+# 2676 "parsing/parser.mly"
       ( _1 )
-# 27723 "parsing/parser.ml"
+# 27782 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27755,15 +27814,15 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 27761 "parsing/parser.ml"
+# 27820 "parsing/parser.ml"
               
             in
             
-# 2659 "parsing/parser.mly"
+# 2679 "parsing/parser.mly"
         ( Ppat_construct(_1, Some _2) )
-# 27767 "parsing/parser.ml"
+# 27826 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__2_ in
@@ -27771,15 +27830,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 27777 "parsing/parser.ml"
+# 27836 "parsing/parser.ml"
           
         in
         
-# 2662 "parsing/parser.mly"
+# 2682 "parsing/parser.mly"
       ( _1 )
-# 27783 "parsing/parser.ml"
+# 27842 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27810,24 +27869,24 @@ module Tables = struct
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.pattern) = let _1 =
           let _1 = 
-# 2661 "parsing/parser.mly"
+# 2681 "parsing/parser.mly"
         ( Ppat_variant(_1, Some _2) )
-# 27816 "parsing/parser.ml"
+# 27875 "parsing/parser.ml"
            in
           let _endpos__1_ = _endpos__2_ in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 27825 "parsing/parser.ml"
+# 27884 "parsing/parser.ml"
           
         in
         
-# 2662 "parsing/parser.mly"
+# 2682 "parsing/parser.mly"
       ( _1 )
-# 27831 "parsing/parser.ml"
+# 27890 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27875,24 +27934,24 @@ module Tables = struct
           let _2 =
             let _1 = _1_inlined1 in
             
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 27881 "parsing/parser.ml"
+# 27940 "parsing/parser.ml"
             
           in
           
-# 3758 "parsing/parser.mly"
+# 3786 "parsing/parser.mly"
                     ( _1, _2 )
-# 27887 "parsing/parser.ml"
+# 27946 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__3_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2664 "parsing/parser.mly"
+# 2684 "parsing/parser.mly"
       ( mkpat_attrs ~loc:_sloc (Ppat_lazy _3) _2)
-# 27896 "parsing/parser.ml"
+# 27955 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27934,15 +27993,15 @@ module Tables = struct
           let _loc__2_ = (_startpos__2_, _endpos__2_) in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 2633 "parsing/parser.mly"
+# 2653 "parsing/parser.mly"
       ( mkpat_cons ~loc:_sloc _loc__2_ (ghpat ~loc:_sloc (Ppat_tuple[_1;_3])) )
-# 27940 "parsing/parser.ml"
+# 27999 "parsing/parser.ml"
           
         in
         
-# 2628 "parsing/parser.mly"
+# 2648 "parsing/parser.mly"
       ( _1 )
-# 27946 "parsing/parser.ml"
+# 28005 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -27972,14 +28031,14 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.pattern) = let _1 = 
-# 2635 "parsing/parser.mly"
+# 2655 "parsing/parser.mly"
       ( Pat.attr _1 _2 )
-# 27978 "parsing/parser.ml"
+# 28037 "parsing/parser.ml"
          in
         
-# 2628 "parsing/parser.mly"
+# 2648 "parsing/parser.mly"
       ( _1 )
-# 27983 "parsing/parser.ml"
+# 28042 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28002,14 +28061,14 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.pattern) = let _1 = 
-# 2637 "parsing/parser.mly"
+# 2657 "parsing/parser.mly"
       ( _1 )
-# 28008 "parsing/parser.ml"
+# 28067 "parsing/parser.ml"
          in
         
-# 2628 "parsing/parser.mly"
+# 2648 "parsing/parser.mly"
       ( _1 )
-# 28013 "parsing/parser.ml"
+# 28072 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28054,15 +28113,15 @@ module Tables = struct
                 let _symbolstartpos = _startpos__1_ in
                 let _sloc = (_symbolstartpos, _endpos) in
                 
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 28060 "parsing/parser.ml"
+# 28119 "parsing/parser.ml"
                 
               in
               
-# 2640 "parsing/parser.mly"
+# 2660 "parsing/parser.mly"
         ( Ppat_alias(_1, _3) )
-# 28066 "parsing/parser.ml"
+# 28125 "parsing/parser.ml"
               
             in
             let _endpos__1_ = _endpos__1_inlined1_ in
@@ -28070,21 +28129,21 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 28076 "parsing/parser.ml"
+# 28135 "parsing/parser.ml"
             
           in
           
-# 2651 "parsing/parser.mly"
+# 2671 "parsing/parser.mly"
     ( _1 )
-# 28082 "parsing/parser.ml"
+# 28141 "parsing/parser.ml"
           
         in
         
-# 2628 "parsing/parser.mly"
+# 2648 "parsing/parser.mly"
       ( _1 )
-# 28088 "parsing/parser.ml"
+# 28147 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28125,9 +28184,9 @@ module Tables = struct
             let _1 =
               let _loc__3_ = (_startpos__3_, _endpos__3_) in
               
-# 2642 "parsing/parser.mly"
+# 2662 "parsing/parser.mly"
         ( expecting _loc__3_ "identifier" )
-# 28131 "parsing/parser.ml"
+# 28190 "parsing/parser.ml"
               
             in
             let _endpos__1_ = _endpos__3_ in
@@ -28135,21 +28194,21 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 28141 "parsing/parser.ml"
+# 28200 "parsing/parser.ml"
             
           in
           
-# 2651 "parsing/parser.mly"
+# 2671 "parsing/parser.mly"
     ( _1 )
-# 28147 "parsing/parser.ml"
+# 28206 "parsing/parser.ml"
           
         in
         
-# 2628 "parsing/parser.mly"
+# 2648 "parsing/parser.mly"
       ( _1 )
-# 28153 "parsing/parser.ml"
+# 28212 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28174,29 +28233,29 @@ module Tables = struct
         let _v : (Parsetree.pattern) = let _1 =
           let _1 =
             let _1 = 
-# 2644 "parsing/parser.mly"
+# 2664 "parsing/parser.mly"
         ( Ppat_tuple(List.rev _1) )
-# 28180 "parsing/parser.ml"
+# 28239 "parsing/parser.ml"
              in
             let _endpos = _endpos__1_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 28188 "parsing/parser.ml"
+# 28247 "parsing/parser.ml"
             
           in
           
-# 2651 "parsing/parser.mly"
+# 2671 "parsing/parser.mly"
     ( _1 )
-# 28194 "parsing/parser.ml"
+# 28253 "parsing/parser.ml"
           
         in
         
-# 2628 "parsing/parser.mly"
+# 2648 "parsing/parser.mly"
       ( _1 )
-# 28200 "parsing/parser.ml"
+# 28259 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28237,9 +28296,9 @@ module Tables = struct
             let _1 =
               let _loc__3_ = (_startpos__3_, _endpos__3_) in
               
-# 2646 "parsing/parser.mly"
+# 2666 "parsing/parser.mly"
         ( expecting _loc__3_ "pattern" )
-# 28243 "parsing/parser.ml"
+# 28302 "parsing/parser.ml"
               
             in
             let _endpos__1_ = _endpos__3_ in
@@ -28247,21 +28306,21 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 28253 "parsing/parser.ml"
+# 28312 "parsing/parser.ml"
             
           in
           
-# 2651 "parsing/parser.mly"
+# 2671 "parsing/parser.mly"
     ( _1 )
-# 28259 "parsing/parser.ml"
+# 28318 "parsing/parser.ml"
           
         in
         
-# 2628 "parsing/parser.mly"
+# 2648 "parsing/parser.mly"
       ( _1 )
-# 28265 "parsing/parser.ml"
+# 28324 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28300,30 +28359,30 @@ module Tables = struct
         let _v : (Parsetree.pattern) = let _1 =
           let _1 =
             let _1 = 
-# 2648 "parsing/parser.mly"
+# 2668 "parsing/parser.mly"
         ( Ppat_or(_1, _3) )
-# 28306 "parsing/parser.ml"
+# 28365 "parsing/parser.ml"
              in
             let _endpos__1_ = _endpos__3_ in
             let _endpos = _endpos__1_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 28315 "parsing/parser.ml"
+# 28374 "parsing/parser.ml"
             
           in
           
-# 2651 "parsing/parser.mly"
+# 2671 "parsing/parser.mly"
     ( _1 )
-# 28321 "parsing/parser.ml"
+# 28380 "parsing/parser.ml"
           
         in
         
-# 2628 "parsing/parser.mly"
+# 2648 "parsing/parser.mly"
       ( _1 )
-# 28327 "parsing/parser.ml"
+# 28386 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28364,9 +28423,9 @@ module Tables = struct
             let _1 =
               let _loc__3_ = (_startpos__3_, _endpos__3_) in
               
-# 2650 "parsing/parser.mly"
+# 2670 "parsing/parser.mly"
         ( expecting _loc__3_ "pattern" )
-# 28370 "parsing/parser.ml"
+# 28429 "parsing/parser.ml"
               
             in
             let _endpos__1_ = _endpos__3_ in
@@ -28374,21 +28433,21 @@ module Tables = struct
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 28380 "parsing/parser.ml"
+# 28439 "parsing/parser.ml"
             
           in
           
-# 2651 "parsing/parser.mly"
+# 2671 "parsing/parser.mly"
     ( _1 )
-# 28386 "parsing/parser.ml"
+# 28445 "parsing/parser.ml"
           
         in
         
-# 2628 "parsing/parser.mly"
+# 2648 "parsing/parser.mly"
       ( _1 )
-# 28392 "parsing/parser.ml"
+# 28451 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28407,9 +28466,9 @@ module Tables = struct
           MenhirLib.EngineTypes.next = _menhir_stack;
         } = _menhir_stack in
         let _1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 28413 "parsing/parser.ml"
+# 28472 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
@@ -28421,30 +28480,30 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 28427 "parsing/parser.ml"
+# 28486 "parsing/parser.ml"
               
             in
             
-# 2110 "parsing/parser.mly"
+# 2124 "parsing/parser.mly"
                         ( Ppat_var _1 )
-# 28433 "parsing/parser.ml"
+# 28492 "parsing/parser.ml"
             
           in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 28442 "parsing/parser.ml"
+# 28501 "parsing/parser.ml"
           
         in
         
-# 2112 "parsing/parser.mly"
+# 2126 "parsing/parser.mly"
     ( _1 )
-# 28448 "parsing/parser.ml"
+# 28507 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28468,23 +28527,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.pattern) = let _1 =
           let _1 = 
-# 2111 "parsing/parser.mly"
+# 2125 "parsing/parser.mly"
                         ( Ppat_any )
-# 28474 "parsing/parser.ml"
+# 28533 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 28482 "parsing/parser.ml"
+# 28541 "parsing/parser.ml"
           
         in
         
-# 2112 "parsing/parser.mly"
+# 2126 "parsing/parser.mly"
     ( _1 )
-# 28488 "parsing/parser.ml"
+# 28547 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28507,9 +28566,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.payload) = 
-# 3771 "parsing/parser.mly"
+# 3799 "parsing/parser.mly"
               ( PStr _1 )
-# 28513 "parsing/parser.ml"
+# 28572 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28539,9 +28598,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.payload) = 
-# 3772 "parsing/parser.mly"
+# 3800 "parsing/parser.mly"
                     ( PSig _2 )
-# 28545 "parsing/parser.ml"
+# 28604 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28571,9 +28630,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.payload) = 
-# 3773 "parsing/parser.mly"
+# 3801 "parsing/parser.mly"
                     ( PTyp _2 )
-# 28577 "parsing/parser.ml"
+# 28636 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28603,9 +28662,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Parsetree.payload) = 
-# 3774 "parsing/parser.mly"
+# 3802 "parsing/parser.mly"
                      ( PPat (_2, None) )
-# 28609 "parsing/parser.ml"
+# 28668 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28649,9 +28708,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__4_ in
         let _v : (Parsetree.payload) = 
-# 3775 "parsing/parser.mly"
+# 3803 "parsing/parser.mly"
                                    ( PPat (_2, Some _4) )
-# 28655 "parsing/parser.ml"
+# 28714 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28674,9 +28733,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.core_type) = 
-# 3174 "parsing/parser.mly"
+# 3194 "parsing/parser.mly"
     ( _1 )
-# 28680 "parsing/parser.ml"
+# 28739 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28719,24 +28778,24 @@ module Tables = struct
                 let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 28723 "parsing/parser.ml"
+# 28782 "parsing/parser.ml"
                  in
                 
-# 919 "parsing/parser.mly"
+# 927 "parsing/parser.mly"
     ( xs )
-# 28728 "parsing/parser.ml"
+# 28787 "parsing/parser.ml"
                 
               in
               
-# 3166 "parsing/parser.mly"
+# 3186 "parsing/parser.mly"
     ( _1 )
-# 28734 "parsing/parser.ml"
+# 28793 "parsing/parser.ml"
               
             in
             
-# 3170 "parsing/parser.mly"
+# 3190 "parsing/parser.mly"
     ( Ptyp_poly(_1, _3) )
-# 28740 "parsing/parser.ml"
+# 28799 "parsing/parser.ml"
             
           in
           let (_endpos__1_, _startpos__1_) = (_endpos__3_, _startpos_xs_) in
@@ -28744,15 +28803,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 28750 "parsing/parser.ml"
+# 28809 "parsing/parser.ml"
           
         in
         
-# 3176 "parsing/parser.mly"
+# 3196 "parsing/parser.mly"
     ( _1 )
-# 28756 "parsing/parser.ml"
+# 28815 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28775,14 +28834,14 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.core_type) = let _1 = 
-# 3205 "parsing/parser.mly"
+# 3225 "parsing/parser.mly"
     ( _1 )
-# 28781 "parsing/parser.ml"
+# 28840 "parsing/parser.ml"
          in
         
-# 3174 "parsing/parser.mly"
+# 3194 "parsing/parser.mly"
     ( _1 )
-# 28786 "parsing/parser.ml"
+# 28845 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28821,33 +28880,33 @@ module Tables = struct
         let _v : (Parsetree.core_type) = let _1 =
           let _1 =
             let _3 = 
-# 3205 "parsing/parser.mly"
+# 3225 "parsing/parser.mly"
     ( _1 )
-# 28827 "parsing/parser.ml"
+# 28886 "parsing/parser.ml"
              in
             let _1 =
               let _1 =
                 let xs = 
 # 253 "<standard.mly>"
     ( List.rev xs )
-# 28834 "parsing/parser.ml"
+# 28893 "parsing/parser.ml"
                  in
                 
-# 919 "parsing/parser.mly"
+# 927 "parsing/parser.mly"
     ( xs )
-# 28839 "parsing/parser.ml"
+# 28898 "parsing/parser.ml"
                 
               in
               
-# 3166 "parsing/parser.mly"
+# 3186 "parsing/parser.mly"
     ( _1 )
-# 28845 "parsing/parser.ml"
+# 28904 "parsing/parser.ml"
               
             in
             
-# 3170 "parsing/parser.mly"
+# 3190 "parsing/parser.mly"
     ( Ptyp_poly(_1, _3) )
-# 28851 "parsing/parser.ml"
+# 28910 "parsing/parser.ml"
             
           in
           let _startpos__1_ = _startpos_xs_ in
@@ -28855,15 +28914,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 854 "parsing/parser.mly"
+# 862 "parsing/parser.mly"
     ( mktyp ~loc:_sloc _1 )
-# 28861 "parsing/parser.ml"
+# 28920 "parsing/parser.ml"
           
         in
         
-# 3176 "parsing/parser.mly"
+# 3196 "parsing/parser.mly"
     ( _1 )
-# 28867 "parsing/parser.ml"
+# 28926 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28910,9 +28969,9 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 3734 "parsing/parser.mly"
+# 3762 "parsing/parser.mly"
     ( Attr.mk ~loc:(make_loc _sloc) _2 _3 )
-# 28916 "parsing/parser.ml"
+# 28975 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -28993,9 +29052,9 @@ module Tables = struct
         let _v : (Parsetree.value_description * string Asttypes.loc option) = let attrs2 =
           let _1 = _1_inlined3 in
           
-# 3743 "parsing/parser.mly"
+# 3771 "parsing/parser.mly"
     ( _1 )
-# 28999 "parsing/parser.ml"
+# 29058 "parsing/parser.ml"
           
         in
         let _endpos_attrs2_ = _endpos__1_inlined3_ in
@@ -29005,30 +29064,30 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 29011 "parsing/parser.ml"
+# 29070 "parsing/parser.ml"
           
         in
         let attrs1 =
           let _1 = _1_inlined1 in
           
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 29019 "parsing/parser.ml"
+# 29078 "parsing/parser.ml"
           
         in
         let _endpos = _endpos_attrs2_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2811 "parsing/parser.mly"
+# 2831 "parsing/parser.mly"
     ( let attrs = attrs1 @ attrs2 in
       let loc = make_loc _sloc in
       let docs = symbol_docs _sloc in
       Val.mk id ty ~prim ~attrs ~loc ~docs,
       ext )
-# 29032 "parsing/parser.ml"
+# 29091 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29044,14 +29103,14 @@ module Tables = struct
         let _startpos = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _endpos = _startpos in
         let _v : (Asttypes.private_flag) = let _1 = 
-# 3602 "parsing/parser.mly"
+# 3630 "parsing/parser.mly"
                                                 ( Public )
-# 29050 "parsing/parser.ml"
+# 29109 "parsing/parser.ml"
          in
         
-# 3599 "parsing/parser.mly"
+# 3627 "parsing/parser.mly"
     ( _1 )
-# 29055 "parsing/parser.ml"
+# 29114 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29074,14 +29133,14 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Asttypes.private_flag) = let _1 = 
-# 3603 "parsing/parser.mly"
+# 3631 "parsing/parser.mly"
                                                 ( Private )
-# 29080 "parsing/parser.ml"
+# 29139 "parsing/parser.ml"
          in
         
-# 3599 "parsing/parser.mly"
+# 3627 "parsing/parser.mly"
     ( _1 )
-# 29085 "parsing/parser.ml"
+# 29144 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29097,9 +29156,9 @@ module Tables = struct
         let _startpos = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _endpos = _startpos in
         let _v : (Asttypes.private_flag * Asttypes.virtual_flag) = 
-# 3625 "parsing/parser.mly"
+# 3653 "parsing/parser.mly"
                  ( Public, Concrete )
-# 29103 "parsing/parser.ml"
+# 29162 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29122,9 +29181,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Asttypes.private_flag * Asttypes.virtual_flag) = 
-# 3626 "parsing/parser.mly"
+# 3654 "parsing/parser.mly"
             ( Private, Concrete )
-# 29128 "parsing/parser.ml"
+# 29187 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29147,9 +29206,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Asttypes.private_flag * Asttypes.virtual_flag) = 
-# 3627 "parsing/parser.mly"
+# 3655 "parsing/parser.mly"
             ( Public, Virtual )
-# 29153 "parsing/parser.ml"
+# 29212 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29179,9 +29238,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Asttypes.private_flag * Asttypes.virtual_flag) = 
-# 3628 "parsing/parser.mly"
+# 3656 "parsing/parser.mly"
                     ( Private, Virtual )
-# 29185 "parsing/parser.ml"
+# 29244 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29211,9 +29270,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__2_ in
         let _v : (Asttypes.private_flag * Asttypes.virtual_flag) = 
-# 3629 "parsing/parser.mly"
+# 3657 "parsing/parser.mly"
                     ( Private, Virtual )
-# 29217 "parsing/parser.ml"
+# 29276 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29229,9 +29288,9 @@ module Tables = struct
         let _startpos = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _endpos = _startpos in
         let _v : (Asttypes.rec_flag) = 
-# 3582 "parsing/parser.mly"
+# 3610 "parsing/parser.mly"
                                                 ( Nonrecursive )
-# 29235 "parsing/parser.ml"
+# 29294 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29254,9 +29313,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Asttypes.rec_flag) = 
-# 3583 "parsing/parser.mly"
+# 3611 "parsing/parser.mly"
                                                 ( Recursive )
-# 29260 "parsing/parser.ml"
+# 29319 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29282,12 +29341,12 @@ module Tables = struct
   (Longident.t Asttypes.loc * Parsetree.expression) list) = let eo = 
 # 124 "<standard.mly>"
     ( None )
-# 29286 "parsing/parser.ml"
+# 29345 "parsing/parser.ml"
          in
         
-# 2553 "parsing/parser.mly"
+# 2573 "parsing/parser.mly"
     ( eo, fields )
-# 29291 "parsing/parser.ml"
+# 29350 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29328,18 +29387,18 @@ module Tables = struct
           let x = 
 # 191 "<standard.mly>"
     ( x )
-# 29332 "parsing/parser.ml"
+# 29391 "parsing/parser.ml"
            in
           
 # 126 "<standard.mly>"
     ( Some x )
-# 29337 "parsing/parser.ml"
+# 29396 "parsing/parser.ml"
           
         in
         
-# 2553 "parsing/parser.mly"
+# 2573 "parsing/parser.mly"
     ( eo, fields )
-# 29343 "parsing/parser.ml"
+# 29402 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29364,17 +29423,17 @@ module Tables = struct
         let _startpos = _startpos_d_ in
         let _endpos = _endpos_d_ in
         let _v : (Parsetree.constructor_declaration list) = let x = 
-# 2996 "parsing/parser.mly"
+# 3016 "parsing/parser.mly"
     (
       let cid, args, res, attrs, loc, info = d in
       Type.constructor cid ~args ?res ~attrs ~loc ~info
     )
-# 29373 "parsing/parser.ml"
+# 29432 "parsing/parser.ml"
          in
         
-# 1029 "parsing/parser.mly"
+# 1037 "parsing/parser.mly"
       ( [x] )
-# 29378 "parsing/parser.ml"
+# 29437 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29399,17 +29458,17 @@ module Tables = struct
         let _startpos = _startpos_d_ in
         let _endpos = _endpos_d_ in
         let _v : (Parsetree.constructor_declaration list) = let x = 
-# 2996 "parsing/parser.mly"
+# 3016 "parsing/parser.mly"
     (
       let cid, args, res, attrs, loc, info = d in
       Type.constructor cid ~args ?res ~attrs ~loc ~info
     )
-# 29408 "parsing/parser.ml"
+# 29467 "parsing/parser.ml"
          in
         
-# 1032 "parsing/parser.mly"
+# 1040 "parsing/parser.mly"
       ( [x] )
-# 29413 "parsing/parser.ml"
+# 29472 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -29441,17 +29500,17 @@ module Tables = struct
         let _startpos = _startpos_xs_ in
         let _endpos = _endpos_d_ in
         let _v : (Parsetree.constructor_declaration list) = let x = 
-# 2996 "parsing/parser.mly"
+# 3016 "parsing/parser.mly"
     (
       let cid, args, res, attrs, loc, info = d in
       Type.constructor cid ~args ?res ~attrs ~loc ~info
     )
-# 29450 "parsing/parser.ml"
+# 29509 "parsing/parser.ml"
          in
         
-# 1036 "parsing/parser.mly"
+# 1044 "parsing/parser.mly"
       ( x :: xs )
-# 29455 "parsing/parser.ml"
+# 29514 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
